// File added to project June 27, 2001
// bmcvey
// dialog information for adding a train

#if !defined(CADDTRAIN_H)
#define CADDTRAIN_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OptionsDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COptionsDialog dialog
#define NEW 0
#define EXISTING 1
#define MAX_TRACKINFO 32

class CAddTrainDialog : public CDialog
{
// Construction
public:
	CAddTrainDialog( CWnd* pParent = NULL);   // standard constructor

	enum { IDD = IDD_NEWEXISTINGTRAIN };
	
	int		NewOrExisting;
	int		TrainID;


protected:

	static int TrackInfo[MAX_TRACKINFO][5];
	int indexes[5];

	CWnd* ptrCV;

	char TrainName[80];

	int Direction;
	int DirAroundTrack;
	int MaxSpeed;
	int PCHas;
	int NextPC;
	int TOHas;
	char FileName[80];

	int Mode;				// batch or interactive

	virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();

	virtual void OnCancel ();

	afx_msg void OnOK();
	afx_msg void OnClear();
	afx_msg void OnRadioButtonClickedNE();
	afx_msg void OnPCPassedSelected();
	afx_msg void OnPCPassedEntered();	// bmcvey 3-25-02 to handle entering data in combobox
	afx_msg void OnNextPCSelected();
    afx_msg void OnTrackDirSelected();
    afx_msg void OnTurnoutSelected();
	afx_msg void OnRadioButtonClickedMode();
	afx_msg void OnExistingTrainChange();
	void SetDefaults();
	DECLARE_MESSAGE_MAP()
};

#endif // !defined(CADDTRAIN_H)