#if !defined NODE_H

#define NODE_H

///////////////////////////////////////////////////////////
//Defines a node that is used in the linked list of tracklist
//class.  Describes the track by relating a photocell to a turnout
//with a given switch direction.  
/////////////////////////////////////////////////////////////////
class Node 
{
   public:
     Node(int, int, int);
	 int photocell;
	 int turnout;
	 int switchdirection;   
     Node * link;

};

#endif